Qwt User's Guide: QwtRasterData Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# QwtRasterData Class Reference

Inheritance diagram for QwtRasterData:

[legend]
List of all members.

## Detailed Description

QwtRasterData defines an interface to any type of raster data.

Definition at line 53 of file qwt_raster_data.h.

## Public Types
typedef QMap< double, QPolygonF > | ContourLines
enum | ConrecAttribute { IgnoreAllVerticesOnLevel = 1, IgnoreOutOfRange = 2 }
## Public Member Functions
| QwtRasterData ()
| QwtRasterData (const QwtDoubleRect &)
virtual | ~QwtRasterData ()
virtual QwtRasterData * | copy () const =0
virtual void | setBoundingRect (const QwtDoubleRect &)
QwtDoubleRect | boundingRect () const
virtual QSize | rasterHint (const QwtDoubleRect &) const
virtual void | initRaster (const QwtDoubleRect &, const QSize &raster)
virtual void | discardRaster ()
virtual double | value (double x, double y) const =0
virtual QwtDoubleInterval | range () const =0
virtual ContourLines | contourLines (const QwtDoubleRect &rect, const QSize &raster, const QList< double > &levels, int flags) const

## Member Function Documentation

QwtRasterData::ContourLines QwtRasterData::contourLines | ( | const QwtDoubleRect & | rect,
|  | const QSize & | raster,
|  | const QList< double > & | levels,
|  | int | flags
| ) | const`[virtual]`

| Calculate contour lines An adaption of CONREC, a simple contouring algorithm. http://astronomy.swin.edu.au/~pbourke/projection/conrec Definition at line 270 of file qwt_raster_data.cpp. References QwtDoubleInterval::isValid().

virtual QwtRasterData* QwtRasterData::copy | ( |  | ) | const`[pure virtual]`

| Clone the data. Referenced by QwtPlotSpectrogram::setData().

void QwtRasterData::discardRaster | ( |  | ) | `[virtual]`

| Discard a raster. After the composition of an image QwtPlotSpectrogram calls discardRaster(). The default implementation does nothing, but if data has been loaded in initRaster(), it could deleted now. See also: initRaster(), value() Definition at line 236 of file qwt_raster_data.cpp.

void QwtRasterData::initRaster | ( | const QwtDoubleRect & | ,
|  | const QSize & | raster
| ) | `[virtual]`

  | Initialize a raster. Before the composition of an image QwtPlotSpectrogram calls initRaster, announcing the area and its resolution that will be requested. The default implementation does nothing, but for data sets that are stored in files, it might be good idea to reimplement initRaster, where the data is resampled and loaded into memory. Parameters:
  | rect | Area of the raster
  | raster | Number of horizontal and vertical pixels
See also: initRaster(), value() Definition at line 222 of file qwt_raster_data.cpp.

virtual QwtDoubleInterval QwtRasterData::range | ( |  | ) | const`[pure virtual]`

| Returns: the range of the values

QSize QwtRasterData::rasterHint | ( | const QwtDoubleRect & |  | ) | const`[virtual]`

  | Find the raster of the data for an area. The resolution is the number of horizontal and vertical pixels that the data can return for an area. An invalid resolution indicates that the data can return values for any detail level. The resolution will limit the size of the image that is rendered from the data. F.e. this might be important when printing a spectrogram to a A0 printer with 600 dpi. The default implementation returns an invalid resolution (size) Parameters:
  | rect | In most implementations the resolution of the data doesn't depend on the requested rectangle.
Returns: Resolution, as number of horizontal and vertical pixels Definition at line 258 of file qwt_raster_data.cpp.

virtual double QwtRasterData::value | ( | double | x,
|  | double | y
| ) | const`[pure virtual]`

| Returns: the value at a raster position